/v1/api/licences/dailyUniqueIps (GET) - BlueCat Edge - Service Point v4.x.x

BlueCat Edge User Guide

ft:locale
en-US
Product name
BlueCat Edge
Version
Service Point v4.x.x

Gets a list of the number of unique IP addresses observed each day over the last 90 days.

Request: GET https://api-<BlueCat.edge.url>/v1/api/licences/dailyUniqueIps
Authorization: Bearer authorization token

Response

200 OK
Content-Type: application/JSON
{
    "time": [
        1747872000000,
        1747958400000,
        1748044800000,
        ...
        1755388800000,
        1755475200000,
        1755561600000
    ],
    "series": [
        {
            "name": "uniqueIps",
            "value": [
                0,
                0,
                0,
                ...
                410236,
                410252,
                410261
            ]
        }
    ]
}
Where:
  • time—the time that has elapsed since the Unix Epoch, in milliseconds
  • value—the number of unique IP addresses observed within the Edge CI corresponding to the placement of the time value in the list.
Possible error codes:
  • UNAUTHORIZED - Invalid access token
  • BAD REQUEST - Invalid API request
  • INTERNAL SERVER ERROR - Unexpected error